let LABEL_YES = "Да";
      let LABEL_NO = "Нет";
      let RED_MESSAGE =
        "Соответствует критериям Гипер-IgD-синдрома / синдрома дефицита мевалонаткиназы";
      let GREEN_MESSAGE =
        "Не соответствует критериям Гипер-IgD-синдрома / синдрома дефицита мевалонаткиназы";
      window.addEventListener("load", function (e) {
        let buttons = document.querySelectorAll(".group_button");

        buttons.forEach(function (item) {
          item.dataset.selected = 0;
          item.querySelector(".yes").addEventListener("click", assignListener);
          item.querySelector(".no").addEventListener("click", assignListener);
        });
      });

      function assignListener(event) {
        let root = event.target.parentElement;
        let yes = root.querySelector(".yes");
        let no = root.querySelector(".no");
        yes.classList.remove("row_button_selected");
        no.classList.remove("row_button_selected");
        if (event.target.classList.contains("yes")) {
          root.dataset.selected = 1;
          yes.classList.add("row_button_selected");
        } else {
          root.dataset.selected = 0;
          no.classList.add("row_button_selected");
        }
      }

      function usertest() {
        var points = 0;

        var is_red = false;
        document.querySelectorAll(".points").forEach(function (item) {
          // Большие критерии
          if (parseInt(item.dataset.selected) == 1) {
            points += parseInt(item.dataset.points);
          }
        });

        if (points > 42) {
          // showmodal(true);
          is_red = true;
        }

        showmodal(is_red);
      }

      function showmodal(is_red) {
        let message_entrie = document.getElementById("message_entrie");
        message_entrie.parentElement.classList.remove("red_message");
        message_entrie.parentElement.classList.remove("green_message");
        if (is_red) {
          message_entrie.parentElement.classList.add("red_message");
          /* message_entrie.green = RED_MESSAGE; */
          message_entrie.querySelector(".red-message-content").style.display =
            "block";
        } else {
          message_entrie.parentElement.classList.add("green_message");
          /* message_entrie.chiinnerText = GREEN_MESSAGE; */
          message_entrie.querySelector(".green-message-content").style.display =
            "block";
        }
        document
          .getElementById("modal_container")
          .classList.add("modal_visible");
      }

      function hidemodal() {
        document
          .getElementById("modal_container")
          .classList.remove("modal_visible");

        document.querySelector(".red-message-content").style.display = "none";
        document.querySelector(".green-message-content").style.display = "none";
      }